<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Multi Contact for PHP-Fusion 7
+----------------------------------------------------+
| Multi_Contact Infusion 2.00
| Author: Douwe Yntema
| Download:
| http://www.douwe.schoonheidssalonanneke.nl
+----------------------------------------------------*/

// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."multi_contact/infusion_db.php";

if (!checkrights("MC") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."multi_contact/locale/".$settings['locale'].".php")) {
	include INFUSIONS."multi_contact/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."multi_contact/locale/English.php";
}

if (!isset($page_id)) {$page_id=0;};
 
if (!isset($section) || ($section != "fields" && $section != "current"  && $section != "settings")) $section = "pages";
if (isset($cf_id) && !isNum($cf_id)) redirect(FUSION_SELF.$aidlink."&".$section."&amp;page_id=$page_id");
if (isset($page_id) && !isNum($page_id)) redirect(FUSION_SELF.$aidlink."&".$section."&amp;page_id=$page_id");
if (isset($cf_order) && !isNum($cf_order) && $cf_order !=0 && $cf_order != "") redirect(FUSION_SELF.$aidlink."&".$section."&amp;page_id=$page_id");
if (isset($cf_type) && (!isNum($cf_type) || $cf_type < 1 || $cf_type > 6)) redirect(FUSION_SELF.$aidlink."&".$section."&amp;page_id=$page_id");

if (isset($status)) {
	if ($status == "del") {
		$title = $locale['mcf_118'];
		$message = "<b>".$locale['mcf_173']."</b>";
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if (isset($action))  {
	if ($action == "refresh" && $section == "current") {
		$i = 1;
		$result = dbquery("SELECT * FROM ".DB_MC_FIELDS." WHERE page_id = '".$page_id."' ORDER BY cf_order");
		while ($data = dbarray($result)) {
			$result2 = dbquery("UPDATE ".DB_MC_FIELDS." SET cf_order='$i' WHERE cf_id='".$data['cf_id']."'");
			$i++;
		}
		redirect(FUSION_SELF.$aidlink."&section=current&amp;page_id=$page_id");
	} elseif ($action == "moveup" && $section == "current") {
		$data = dbarray(dbquery("SELECT * FROM ".DB_MC_FIELDS." WHERE cf_order='$cf_order' AND page_id = '".$page_id."'"));
		$result = dbquery("UPDATE ".DB_MC_FIELDS." SET cf_order=cf_order+1 WHERE cf_id='".$data['cf_id']."'");
		$result = dbquery("UPDATE ".DB_MC_FIELDS." SET cf_order=cf_order-1 WHERE cf_id='$cf_id'");
		redirect(FUSION_SELF.$aidlink."&section=current&amp;page_id=$page_id");
	} elseif ($action == "movedown" && $section == "current") {
		$data = dbarray(dbquery("SELECT * FROM ".DB_MC_FIELDS." WHERE cf_order='$cf_order' AND page_id = '".$page_id."'"));
		$result = dbquery("UPDATE ".DB_MC_FIELDS." SET cf_order=cf_order-1 WHERE cf_id='".$data['cf_id']."'");
		$result = dbquery("UPDATE ".DB_MC_FIELDS." SET cf_order=cf_order+1 WHERE cf_id='$cf_id'");
		redirect(FUSION_SELF.$aidlink."&section=current&amp;page_id=$page_id");
	} elseif ($action == "delete" && $section == "current") {
		$data = dbarray(dbquery("SELECT * FROM ".DB_MC_FIELDS." WHERE cf_id='$cf_id'"));
		$result = dbquery("UPDATE ".DB_MC_FIELDS." SET cf_order=cf_order-1 WHERE cf_order>'".$data['cf_order']."' AND page_id = '".$page_id."'");
		$result = dbquery("DELETE FROM ".DB_MC_FIELDS." WHERE cf_id='$cf_id'");
		redirect(FUSION_SELF.$aidlink."&section=current&status=del&amp;page_id=$page_id");
	} elseif ($action == "savefield" && $section == "fields") {
		$cf_access = (isNum($_POST['cf_access']) ? $_POST['cf_access'] : "0");
		$cf_name = stripinput($_POST['cf_name']);
		$cf_must = (isset ($_POST['cf_must']) && (isNum($_POST['cf_must'])) ? $_POST['cf_must'] : "0");
		$cf_readonly = (isset($_POST['cf_readonly']) && (isNum($_POST['cf_readonly'])) ? $_POST['cf_readonly'] : "0");
		$cf_type = (isNum($_POST['cf_type']) ? $_POST['cf_type'] : "0");
		$cf_linkfield = stripinput($_POST['cf_linkfield']);
		$cf_typecheck = (isNum($_POST['cf_typecheck']) ? $_POST['cf_typecheck'] : "0");
		if (($cf_type > 2) && ($cf_type < 6)) {
			$cf_options = addslash($_POST['cf_options']);
			$cf_options_list = explode("\r\n", $cf_options);
			if ($cf_type == 3) $cf_default = (isNum($_POST['cf_default']) ? $_POST['cf_default']+1 : "");
			if ($cf_type == 4) $cf_default = (isNum($_POST['cf_default']) ? $_POST['cf_default']+1 : "");
			if ($cf_type == 5) {
				$cf_default = "";
				for ($i=0;$i < count($cf_options_list);$i++) {
					$k = $i+1;
					if ($_POST["cf_default_".$i] == 1) $cf_default .= ".".$k;
				}
			}
		} else {
			$cf_options = "";
			if ($cf_type == 1) $cf_default = stripinput($_POST['cf_default']);
			if ($cf_type == 2) $cf_default = addslash($_POST['cf_default']);
			if ($cf_type == 6) $cf_default = stripinput($_POST['cf_default']);
		}		
		if (isset($cf_id)) {
			$result = dbquery("UPDATE ".DB_MC_FIELDS." SET cf_access='$cf_access', cf_name='$cf_name', cf_must='$cf_must', cf_type='$cf_type', cf_default='$cf_default', cf_options='$cf_options', cf_readonly='$cf_readonly', cf_typecheck='$cf_typecheck', cf_linkfield='$cf_linkfield' WHERE cf_id='$cf_id'");
		} else {
			if(!$cf_order) $cf_order = dbresult(dbquery("SELECT MAX(cf_order) FROM ".DB_MC_FIELDS." WHERE page_id = '".$page_id."'"),0)+1;
			$result = dbquery("UPDATE ".DB_MC_FIELDS." SET cf_order=cf_order+1 WHERE cf_order>='$cf_order' AND page_id = '".$page_id."'" );
			$result = dbquery("INSERT INTO ".DB_MC_FIELDS." (page_id, cf_order, cf_access, cf_name, cf_must, cf_type, cf_options, cf_default, cf_readonly, cf_typecheck, cf_linkfield) VALUES('$page_id', '$cf_order', '$cf_access', '$cf_name', '$cf_must', '$cf_type', '$cf_options', '$cf_default', '$cf_readonly', '$cf_typecheck','$cf_linkfield')");
		}
		redirect(FUSION_SELF.$aidlink."&section=current&amp;page_id=$page_id");
		
	} elseif ($action == "edit_page" && $section == "pages") {		// edit current page
		redirect(FUSION_SELF.$aidlink."&section=pages&amp;page_id=$page_id");
	} elseif (isset($_POST['savesettings']) && $section == "pages") {
		$page_id = isnum(stripinput($_GET['page_id'])) ? stripinput($_GET['page_id']) : "0";	
		if ($page_id > 0) {
			$result = dbquery("UPDATE ".DB_MC_PAGES." SET
			page_name='".stripinput($_POST['page_name'])."' WHERE page_id = '".$page_id."'");
		}
		else {
			$result = dbquery("INSERT INTO ".DB_MC_PAGES."
			(page_name) VALUES('".stripinput($_POST['page_name'])."')");
			$last_id = mysql_insert_id(); 
			$result = dbquery("INSERT INTO ".DB_MC_SETTINGS."
			(contact_title, page_id) VALUES('".stripinput($_POST['page_name'])."','".$last_id."')");
		}
		redirect(FUSION_SELF.$aidlink."&section=pages&amp;page_id=$page_id");
	} elseif ($action == "delete_page" && $section == "pages") {	// delete current page
			$result = dbquery("DELETE FROM ".DB_MC_PAGES." WHERE page_id='$page_id'");
			$result = dbquery("DELETE FROM ".DB_MC_SETTINGS." WHERE page_id='$page_id'");
			$result = dbquery("DELETE FROM ".DB_MC_FIELDS." WHERE page_id='$page_id'");
			redirect(FUSION_SELF.$aidlink."&section=pages&amp;page_id=$page_id");
		echo $page_id;
	} elseif (isset($_POST['savesettings']) && $section == "settings") {
		$result = dbquery("UPDATE ".DB_MC_SETTINGS." SET
		contact_access='".(isNum($_POST['contact_access']) ? $_POST['contact_access'] : "0")."',
		contact_title='".stripinput($_POST['contact_title'])."',
		contact_message='".addslash(descript($_POST['contact_message']))."',
		contact_captcha_type='".stripinput($_POST['contact_captcha_type'])."',
		contact_action='".stripinput($_POST['contact_action'])."',
		contact_email='".stripinput($_POST['contact_email'])."',
		contact_email_name='".stripinput($_POST['contact_email_name'])."',
		contact_email2='".stripinput($_POST['contact_email2'])."',
		contact_email2_name='".stripinput($_POST['contact_email2_name'])."',
		contact_email_title='".stripinput($_POST['contact_email_title'])."',
		contact_show_username='".(isset($_POST['contact_show_username']) && (isNum($_POST['contact_show_username'])) ? $_POST['contact_show_username'] : "0")."',
		contact_show_ip='".(isset($_POST['contact_show_ip']) && (isNum($_POST['contact_show_ip'])) ? $_POST['contact_show_ip'] : "0")."',
		contact_bad_words_enabled='".(isset($_POST['contact_bad_words_enabled']) &&  (isNum($_POST['contact_bad_words_enabled'])) ? $_POST['contact_bad_words_enabled'] : "0")."',
		contact_bad_words='".addslash(descript($_POST['contact_bad_words']))."'
		 WHERE page_id = '".$page_id."'");
		redirect(FUSION_SELF.$aidlink."&section=settings&amp;page_id=$page_id");

	}
} else {
	opentable($locale['mcf_110']);
	echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
	echo "<td width='25%' class=".($section == "pages" ? "tbl1" : "tbl2")." align='center'><span class='small'>".($section == "pages" ? "<b>".$locale['mcf_114']."</b>" : "<a class='small' href='".FUSION_SELF.$aidlink."&amp;section=pages'><b>".$locale['mcf_114']."</b></a>")."</span></td>\n";
	echo "<td width='25%' class=".($section == "settings" ? "tbl1" : "tbl2")." align='center'><span class='small'>".($section == "settings" ? "<b>".$locale['mcf_111']."</b>" : "<a class='small' href='".FUSION_SELF.$aidlink."&amp;section=settings&amp;page_id=".$page_id."'><b>".$locale['mcf_111']."</b></a>")."</span></td>\n";
	echo "<td width='25%' class=".($section == "fields" ? "tbl1" : "tbl2")." align='center'><span class='small'>".($section == "fields" ? "<b>".$locale['mcf_112']."</b>" : "<a class='small' href='".FUSION_SELF.$aidlink."&amp;section=fields&amp;page_id=".$page_id."'><b>".$locale['mcf_112']."</b></a>")."</span></td>\n";
	echo "<td width='25%' class=".($section == "current" ? "tbl1" : "tbl2")." align='center'><span class='small'>".($section == "current" ? "<b>".$locale['mcf_113']."</b>" : "<a class='small' href='".FUSION_SELF.$aidlink."&amp;section=current&amp;page_id=".$page_id."'><b>".$locale['mcf_113']."</b></a>")."</span></td>\n";
	echo "</tr>\n</table>\n";
	closetable();
	tablebreak();	
	if ($section == "current") {
		opentable($locale['mcf_119']);
		echo "<table align='center' cellpadding='0' cellspacing='1' width='400' class='tbl-border'>\n<tr>\n";
		echo "<td class='tbl2'><b>".$locale['mcf_156']."</b></td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['mcf_157']."</b></td>\n";
		echo "<td align='center' colspan='2' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['mcf_158']."</b></td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><b>".$locale['mcf_159']."</b></td>\n</tr>\n";
		$result = dbquery("SELECT cf_id,cf_order,cf_access,cf_name,cf_must,cf_linkfield FROM ".DB_MC_FIELDS." WHERE page_id = '".$page_id."' ORDER BY cf_order");
		if (dbrows($result) != 0) {
			$i = 0; $k = 1;
			while($data = dbarray($result)) {
				echo "<tr>\n<td class='tbl1'>".$data['cf_name'];
				if ($data['cf_must'] == 1) echo " <span style='color:#ff0000'>*</span>";
				echo "</td>\n";
				echo "<td align='center' width='1%' class='tbl1' style='white-space:nowrap'>";
				if ($data['cf_access'] == 0) { echo $locale['mcf_146']; } else { echo getgroupname($data['cf_access']); }
				echo "</td>\n";
				echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$data['cf_order']."</td>\n";
				echo "<td align='center' width='1%' class='tbl1' style='white-space:nowrap'>\n";
				$up = $data['cf_order'] - 1;
				$down = $data['cf_order'] + 1;
				if ($k == 1) {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;section=current&amp;action=movedown&amp;cf_order=$down&amp;cf_id=".$data['cf_id']."&amp;page_id=".$page_id."'><img src='".THEME."images/down.png' alt='".$locale['mcf_158b']."' title='".$locale['mcf_158b']."' style='border:0px;'></a>\n";
				} elseif ($k < dbrows($result)) {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;section=current&amp;action=moveup&amp;cf_order=$up&amp;cf_id=".$data['cf_id']."&amp;page_id=".$page_id."'><img src='".THEME."images/up.png' alt='".$locale['mcf_158a']."' title='".$locale['mcf_158a']."' style='border:0px;'></a>\n";
					echo "<a href='".FUSION_SELF.$aidlink."&amp;section=current&amp;action=movedown&amp;cf_order=$down&amp;cf_id=".$data['cf_id']."&amp;page_id=".$page_id."'><img src='".THEME."images/down.png' alt='".$locale['mcf_158b']."' title='".$locale['mcf_158b']."' style='border:0px;'></a>\n";
				} else {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;section=current&amp;action=moveup&amp;cf_order=$up&amp;cf_id=".$data['cf_id']."&amp;page_id=".$page_id."'><img src='".THEME."images/up.png' alt='".$locale['mcf_158a']."' title='".$locale['mcf_158a']."' style='border:0px;'></a>\n";
				}
				$k++;
				echo "</td>\n";
				echo "<td align='center' width='1%' class='tbl1' style='white-space:nowrap'>\n";
					echo "<a href='".FUSION_SELF.$aidlink."&amp;section=fields&amp;cf_id=".$data['cf_id']."&amp;page_id=".$page_id."'>".$locale['mcf_161']."</a> - \n";
				echo "<a href='".FUSION_SELF.$aidlink."&amp;section=current&amp;action=delete&amp;cf_id=".$data['cf_id']."&amp;page_id=".$page_id."' onclick='return DeleteField();'>".$locale['mcf_162']."</a>\n</td>\n</tr>\n";
			}
		} else {
			echo "<tr>\n<td align='center' colspan='5' class='tbl1'>".$locale['mcf_170']."</td>\n</tr>\n";
		}
		if(dbrows($result)) echo "<tr>\n<td align='center' colspan='5' class='tbl1'>[ <a href='".FUSION_SELF.$aidlink."&amp;section=current&amp;action=refresh&amp;page_id=".$page_id."'>".$locale['mcf_164']."</a> ]</td>\n</tr>\n";
		echo "</table>\n";
		closetable();
		echo "<script type='text/javascript'>\n"."function DeleteField() {\n";
		echo "return confirm('".$locale['mcf_174']."');\n}\n</script>\n";
	} elseif ($section == "fields" && isset($setdefault)) {
		if (isset($cf_id)) {
			$formaction = FUSION_SELF.$aidlink."&amp;section=fields&amp;action=savefield&amp;cf_id=".$cf_id."&amp;page_id=".$page_id;
			opentable($locale['mcf_117']);
		} else {
			$formaction = FUSION_SELF.$aidlink."&amp;section=fields&amp;action=savefield&amp;page_id=".$page_id;
			opentable($locale['mcf_116']);
		}
		echo "<form name='fieldform' method='post' action='$formaction'>\n";
		echo "<table align='center' cellpadding='0' cellspacing='0'>\n<tr>\n";
		echo "<td class='tbl' valign='top'>".$locale['mcf_147'].":</td>\n<td class='tbl'>\n";
		if (isset($cf_id)) {
			$result = dbquery("SELECT cf_default,cf_readonly FROM ".DB_MC_FIELDS." WHERE cf_id='$cf_id'");
			$data = dbarray($result);
			$cf_readonly = ($data['cf_readonly']=="1" ? " checked" : "");
		}
		$cf_name = stripinput($_POST['cf_name']);
		$cf_type = (isNum($_POST['cf_type']) ? $_POST['cf_type'] : "0");
		$cf_must = (isNum($_POST['cf_must']) ? $_POST['cf_must'] : "0");
		$cf_order = (isset($_POST['cf_order'])&&isNum($_POST['cf_order']) ? $_POST['cf_order'] : "0");
		$cf_access = (isNum($_POST['cf_access']) ? $_POST['cf_access'] : "0");
		$cf_options = addslash($_POST['cf_options']);
		$cf_options_list = explode("\r\n", $cf_options);
		$cf_linkfield =  stripinput($_POST['cf_linkfield']);
		if ($cf_type == 5) {
			for ($i=0;$i < count($cf_options_list);$i++) {
				echo "<input type='checkbox' name='cf_default_$i' value='1'> ".$cf_options_list[$i]."<br>\n";
			}
		} elseif ($cf_type == 4) {
			for ($i=0;$i < count($cf_options_list);$i++) {
				echo "<input type='radio' name='cf_default' value='$i'> ".$cf_options_list[$i]."<br>\n";
			}
		} else {
			echo "<select name='cf_default' class='textbox'>\n";
			for ($i=0;$i < count($cf_options_list);$i++) {
				echo "<option value='$i'>".$cf_options_list[$i]."</option>\n";
			}
			echo "</select>\n";
		}
		echo "</td>\n</tr>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'>\n";
		echo "<input type='checkbox' name='cf_readonly' value='1'$cf_readonly> ".$locale['mcf_148']."\n<br><br>\n";
		echo "<input type='hidden' name='cf_name' value='$cf_name'>\n";
		echo "<input type='hidden' name='cf_type' value='$cf_type'>\n";
		echo "<input type='hidden' name='cf_must' value='$cf_must'>\n";
		echo "<input type='hidden' name='cf_access' value='$cf_access'>\n";
		echo "<input type='hidden' name='cf_options' value='$cf_options'>\n";
		echo "<input type='hidden' name='cf_linkfield' value='$cf_linkfield'>\n";
		if ($cf_order > 0) echo "<input type='hidden' name='cf_order' value='$cf_order'>\n";
		echo "<input type='submit' name='savefield' value='".$locale['mcf_160']."' class='button'>\n";
		echo "</td>\n</tr>\n</table>\n</form>\n";
		closetable();
	} elseif ($section == "fields" && (isset($cf_id) || isset($cf_type))) {
		if (isset($cf_id)) {
			$result = dbquery("SELECT * FROM ".DB_MC_FIELDS." WHERE cf_id='$cf_id'");
			$data = dbarray($result);
			$cf_name = $data['cf_name'];
			$cf_must = ($data['cf_must']=="1" ? " checked" : "");
			$cf_access = $data['cf_access'];
			$cf_type = $data['cf_type'];
			$cf_readonly = ($data['cf_readonly']=="1" ? " checked" : "");
			$cf_default = $data['cf_default'];
			$cf_options = $data['cf_options'];
			$cf_typecheck = $data['cf_typecheck'];
			$cf_linkfield = $data['cf_linkfield'];
			$cf_page = $data['page_id'];

			if (($cf_type > 2) && ($cf_type < 6)) {
				$formaction = FUSION_SELF.$aidlink."&amp;section=fields&amp;cf_id=".$data['cf_id']."&amp;page_id=".$page_id;
			} else {
				$formaction = FUSION_SELF.$aidlink."&amp;section=fields&amp;action=savefield&amp;cf_id=".$data['cf_id']."&amp;page_id=".$page_id;;
			}
			opentable($locale['mcf_117']);
		} else {
			$cf_name = "";
			$cf_must = "";
			$cf_access = "0";
			$cf_order = "";
			$cf_readonly = "";
			$cf_default = "";
			$cf_options = "";
			$cf_typecheck = "";
			$cf_linkfield = "";
		
			if (isset($page_id)&& isNum($page_id))  {$cf_page=$page_id;}
			if (($cf_type > 2) && ($cf_type < 6)){
				$formaction = FUSION_SELF.$aidlink."&amp;section=fields&amp;page_id=".$page_id;
			} else {
				$formaction = FUSION_SELF.$aidlink."&amp;section=fields&amp;action=savefield&amp;page_id=".$page_id;
			}
			opentable($locale['mcf_116']);
		}
		$access_opts = ""; $sel = "";
		$user_groups = getusergroups();
		foreach($user_groups as $user_group) {
//		while(list($key, $user_group) = each($user_groups)){
			$sel = ($cf_access == $user_group['0'] ? " selected" : "");
			if ($user_group['0'] == 0) $user_group['1'] = $locale['mcf_146'];
			$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
		}
		echo "<form name='fieldform' method='post' action='$formaction'>\n";
		echo "<table align='center' cellpadding='0' cellspacing='0'>\n<tr>\n";
		echo "<td class='tbl'>".$locale['mcf_140'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='cf_name' value='$cf_name' maxlength='200' class='textbox' style='width:250px;'></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>".$locale['mcf_145'].":</td>\n";
		echo "<td class='tbl'>\n<select name='cf_access' class='textbox'>\n$access_opts</select>\n";
		if (!isset($cf_id)) echo $locale['mcf_144'].": <input type='text' name='cf_order'  value='$cf_order' maxlength='2' class='textbox' style='width:40px;'>";
		echo "</td>\n</tr>\n<tr>\n<td class='tbl'></td>\n<td class='tbl'>";
		echo "<input type='checkbox' name='cf_must' value='1'$cf_must> ".$locale['mcf_141']."</td>\n";
		if (($cf_type > 2) && ($cf_type < 6)) {
			echo "</tr>\n<tr>\n<td class='tbl' valign='top'>".$locale['mcf_143'].":<br>\n";
			echo "<span class='small2'>".$locale['mcf_175']."</span></td>\n<td class='tbl'>";
			echo "<textarea name='cf_options' rows='4' cols='35' class='textbox'>".stripslashes($cf_options)."</textarea>";
			echo "<input type='hidden' name='cf_readonly' value='1'$cf_readonly>\n";
		} else {
			echo "</tr>\n<tr>\n<td class='tbl' valign='top'>".$locale['mcf_147'].":</td>\n<td class='tbl'>";
			if ($cf_type == 1) echo "<input type='text' name='cf_default' value='$cf_default' maxlength='200' class='textbox' style='width:250px;'>";
			if ($cf_type == 2) echo "<textarea name='cf_default' rows='4' cols='35' class='textbox'>".stripslashes($cf_default)."</textarea>";
			if ($cf_type == 6) echo "<input type='text' name='cf_default' value='$cf_default' maxlength='200' class='textbox' style='width:250px;'>";
			echo "<br>\n<input type='checkbox' name='cf_readonly' value='1'$cf_readonly> ".$locale['mcf_148']."</td></tr>\n";
		}
		$csettings = dbarray(dbquery("SELECT * FROM ".DB_MC_SETTINGS." WHERE page_id = '".$cf_page."'"));	
		if ($cf_type == "1") {
			$sela = ($cf_typecheck == "1") ? " selected" : "";
			$selb = ($cf_typecheck == "2") ? " selected" : "";
			$selc = ($cf_typecheck == "3") ? " selected" : "";
			echo "<tr><td class='tbl'>\n".$locale['mcf_149'].":\n</td>\n<td class='tbl'>\n";
			echo "<select name='cf_typecheck' class='textbox'>\n";
			echo "<option value='0'>---</option>\n";
			echo "<option value='1'$sela>".$locale['mcf_149a']."</option>\n";
			echo "<option value='2'$selb>".$locale['mcf_149b']."</option>\n";
			if ($csettings['contact_action'] == "1") {
				echo "<option value='3'$selc>".$locale['mcf_149d']."</option>\n";
			}
			echo "</select>\n</td>\n</tr>\n";
		}
		// Show userfields if action = 1
		if ($csettings['contact_action'] == "1") {
		$linkfield_cat = "<option value='' selected='selected' > ------- </option>\n";		
		$result3 = dbquery("SELECT field_id, field_name FROM ".DB_USER_FIELDS." ORDER BY field_cat,field_order");
		if (dbrows($result3) != 0) {
			while ($data3 = dbarray($result3)) {
				if (file_exists(LOCALE.LOCALESET."user_fields/".$data3['field_name'].".php")) {
					include LOCALE.LOCALESET."user_fields/".$data3['field_name'].".php";
				}
				include INCLUDES."user_fields/".$data3['field_name']."_include_var.php";				
			$sel3 = ($cf_linkfield == $data3['field_name'] ? " selected='selected'" : "");
			$linkfield_cat .= "<option value='".$data3['field_name']."'$sel3>".$user_field_name."</option>\n";
			}
		}	
				
			echo "<tr><td class='tbl'>\n".$locale['mcf_149c'].":\n</td>\n<td class='tbl'>\n";
			echo "<select name='cf_linkfield' class='textbox'>\n".$linkfield_cat."</select>\n</td>\n</tr>\n";
		}

		echo "<tr><td align='center' colspan='2' class='tbl'>\n<br>\n";
		echo "<input type='hidden' name='cf_type' value='$cf_type'>\n";
		if (($cf_type > 2) && ($cf_type < 6)) {
			echo "<input type='submit' name='setdefault' value='".$locale['mcf_165']."' class='button'>\n";
		} else {
			echo "<input type='submit' name='savefield' value='".$locale['mcf_160']."' class='button'>\n";
		}
		echo "</td>\n</tr>\n</table>\n</form>\n";
		closetable();
	} elseif ($section == "fields") {	
		opentable($locale['mcf_116']);
		echo "<form name='typeform' method='post' action='".FUSION_SELF.$aidlink."&amp;section=fields&amp;page_id=".$page_id."'>\n";
		echo "<center>\n".$locale['mcf_142'].":\n <select name='cf_type' class='textbox'>\n";
		echo "<option value='1'>".$locale['mcf_150']."</option>\n";
		echo "<option value='2'>".$locale['mcf_151']."</option>\n";
		echo "<option value='3'>".$locale['mcf_152']."</option>\n";
		echo "<option value='4'>".$locale['mcf_153']."</option>\n";
		echo "<option value='5'>".$locale['mcf_154']."</option>\n";
		echo "<option value='6'>".$locale['mcf_155']."</option>\n";
		echo "</select>\n<br><br>\n<input type='submit' name='fieldtype' value='".$locale['mcf_165']."' class='button'>\n</center>\n</form>\n";
		closetable();
	} elseif ($section == "pages") {	//page admin section
		opentable($locale['mcf_119a']);
		if (isset($page_id)) {
			$result = dbquery("SELECT * FROM ".DB_MC_PAGES." WHERE page_id='$page_id'");
			$data = dbarray($result);
			$page_name= $data['page_name'];
		} else{
			$page_name="";
			$page_id=0;
		}
		echo "<form name='pageform' method='post' action='".FUSION_SELF.$aidlink."&amp;action=dummy&amp;section=pages&amp;page_id=$page_id'>\n";
		echo "<center><input type='text' name='page_name' value='".$page_name."' maxlength='200' class='textbox' style='width:200px;'>"; 
		echo "<br><br>\n<input type='submit' name='savesettings' value='".$locale['mcf_160']."' class='button'>\n</center>\n</form>\n";
		closetable();
		
		opentable($locale['mcf_119b']);
		echo "<table align='center' cellpadding='0' cellspacing='1' width='400' class='tbl-border'>\n";
		$result = dbquery("SELECT * FROM ".DB_MC_PAGES." ORDER BY page_name");
		if (dbrows($result) != 0) {
			$i = 0;
			while($data = dbarray($result)) {
				$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
				echo "<tr>\n";
				echo "<td class='$cell_color'><strong>".$data['page_name']."</strong></td>\n";
				echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit_page&amp;page_id=".$data['page_id']."'>".$locale['mcf_119d']."</a> -\n";
				echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete_page&amp;page_id=".$data['page_id']."' onclick=\"return confirm('".$locale['mcf_119f']."');\">".$locale['mcf_119e']."</a></td>\n";

				echo "</tr>\n";
				$i++;
			}
			echo "</table>\n";
			
		} else {
		echo $locale['mcf_119c'];
		}
		closetable();
		
	} else {			// Settings section
		$available_captchas = array();
		if ($temp = opendir(INCLUDES."captchas/")) {
			while (false !== ($file = readdir($temp))) {
				if ($file != "." && $file != ".." && is_dir(INCLUDES."captchas/".$file)) {
					$available_captchas[] = $file;
				}
			}
		}
		sort($available_captchas);		

		function mccaptcha_options($captchas, $select) {
			$options = "";
			foreach ($captchas AS $captcha) {
				$selected = ($captcha == $select ? "selected='selected'" : "");
				$options .= "<option ".$selected.">".$captcha."</option>\n";
			}
			return $options;
		}
		
		$csettings = dbarray(dbquery("SELECT * FROM ".DB_MC_SETTINGS." WHERE page_id = '".$page_id."'"));
		$contact_access = $csettings['contact_access'];
		$user_groups = getusergroups(); $access_opts = ""; $sel = "";
		
		foreach($user_groups as $user_group) {
		//while(list($key, $user_group) = each($user_groups)){
			$sel = ($contact_access == $user_group['0'] ? " selected" : "");
			$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
		}
		$show_contact_bad_words = $csettings['contact_bad_words_enabled'] == "1" ? " style='display:block'" : " style='display:none'";
		opentable($locale['mcf_115']);
		echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."&amp;section=settings&amp;action=savesettings&amp;page_id=".$page_id."'>\n";
		echo "<table align='center' cellpadding='0' cellspacing='0' width='500'>\n<tr>\n";
		echo "<td class='tbl'>".$locale['mcf_120'].":</td>\n";
		echo "<td class='tbl'>\n<select name='contact_access' class='textbox'>\n".$access_opts."</select>\n</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>".$locale['mcf_121'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='contact_title' value='".$csettings['contact_title']."' maxlength='200' class='textbox' style='width:200px;'></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl' valign='top'>".$locale['mcf_122'].":</td>\n";
		echo "<td class='tbl' width='1%'><textarea name='contact_message' rows='5' cols='44' class='textbox'>".stripslashes($csettings['contact_message'])."</textarea></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>".$locale['mcf_123'].":</td>\n";
		echo "<td class='tbl'>\n<select name='contact_captcha_type' id='contact_captcha_type' size='1' class='textbox'>\n".mccaptcha_options($available_captchas, $csettings['contact_captcha_type'])."</select>\n</td>\n</tr>\n<tr>\n";
		echo "<td class='tbl'>".$locale['mcf_133'].":</td>\n";
		echo "<td class='tbl'><input type='checkbox' name='contact_bad_words_enabled' value='1'".($csettings['contact_bad_words_enabled'] == "1" ? " checked" : "")." onchange=\"show_contact_bad_words()\"></td>\n";
		echo "</tr>\n<tr>\n<td align='center' colspan='2'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='100%' border='0' id='contact_bad_words'$show_contact_bad_words>\n<tr>";
		echo "<td class='tbl' valign='top'>".$locale['mcf_134'].":<br><span class='small2'>".$locale['mcf_135']."</span></td>\n";
		echo "<td class='tbl' width='1%'><textarea name='contact_bad_words' rows='5' cols='44' class='textbox'>".stripslashes($csettings['contact_bad_words'])."</textarea></td>\n";
		echo "</tr>\n</table>\n</td></tr><tr>\n";
		echo "<td class='tbl'>".$locale['mcf_129a'].":</td>\n";
		echo "<td class='tbl'>\n<select name='contact_action' class='textbox'>\n";
		echo "<option value='0'".($csettings['contact_action'] == "0" ? " selected" : "").">".$locale['mcf_190']."</option>\n";
		echo "<option value='1'".($csettings['contact_action'] == "1" ? " selected" : "").">".$locale['mcf_191']."</option>\n";
		echo "</select>\n</td>\n";
		echo "</tr>\n<tr>\n<td colspan='2' class='tb1'><br><br><b>".$locale['mcf_124']."</b><br><br></td>\n</tr>\n<tr>\n";
		echo "<td class='tbl'>".$locale['mcf_125'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='contact_email' value='".$csettings['contact_email']."' maxlength='200' class='textbox' style='width:200px;'></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>".$locale['mcf_126'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='contact_email_name' value='".$csettings['contact_email_name']."' maxlength='200' class='textbox' style='width:200px;'></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>".$locale['mcf_125a'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='contact_email2' value='".$csettings['contact_email2']."' maxlength='200' class='textbox' style='width:200px;'></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>".$locale['mcf_126a'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='contact_email2_name' value='".$csettings['contact_email2_name']."' maxlength='200' class='textbox' style='width:200px;'></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>".$locale['mcf_127'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='contact_email_title' value='".$csettings['contact_email_title']."' maxlength='200' class='textbox' style='width:200px;'></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl' nowrap>".$locale['mcf_128'].":</td>\n";
		echo "<td class='tbl'><input type='checkbox' name='contact_show_username' value='1'".($csettings['contact_show_username'] == "1" ? " checked" : "")."></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl' nowrap>".$locale['mcf_129'].":</td>\n";
		echo "<td class='tbl'><input type='checkbox' name='contact_show_ip' value='1'".($csettings['contact_show_ip'] == "1" ? " checked" : "")."></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'><br><input type='submit' name='savesettings' value='".$locale['mcf_160']."' class='button'></td>\n";
		echo "</tr>\n</table>\n</form>\n";
		closetable();
		echo "<script type='text/javascript'>\n";
		echo "function show_contact_bad_words() {\n";
		echo "if (!document.settingsform.contact_bad_words_enabled.checked) {\n";
		echo "contact_bad_words.style.display = 'none';\n";
		echo "} else {\n";
		echo "contact_bad_words.style.display = 'block';\n";
		echo "}\n}\n</script>\n";
	}
}
require_once THEMES."templates/footer.php";
?>
