<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2007 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Multi Contact for PHP-Fusion 7
+----------------------------------------------------+
| Multi_Contact Infusion 2.00
| Author: Douwe Yntema
| Download:
| http://www.douwe.schoonheidssalonanneke.nl
+----------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."multi_contact/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."multi_contact/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."multi_contact/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."multi_contact/locale/English.php";
}

$inf_title = $locale['mcf_100'];
$inf_description = $locale['mcf_101'];
$inf_version = "2.00";
$inf_developer = "Douwe Yntema";
$inf_email = "douwe@schoonheidssalonanneke.nl";
$inf_weburl = "http://www.douwe.schoonheidssalonanneke.nl";
$inf_folder = "multi_contact";


$inf_newtable[1] = DB_MC_SETTINGS." (
page_id INT(10) NOT NULL,
contact_access SMALLINT(5) NOT NULL,
contact_title VARCHAR(200) NOT NULL,
contact_message TEXT NOT NULL,
contact_captcha_type VARCHAR(50) NULL,
contact_bad_words_enabled TINYINT(1) NOT NULL,
contact_bad_words TEXT NOT NULL,
contact_email VARCHAR(200) NOT NULL,
contact_email_name VARCHAR(200) NOT NULL,
contact_email2 VARCHAR(200) NOT NULL,
contact_email2_name VARCHAR(200) NOT NULL,
contact_email_title VARCHAR(200) NOT NULL,
contact_show_username TINYINT(1) NOT NULL,
contact_show_ip TINYINT(1) NOT NULL,
contact_action TINYINT(1) NULL,
PRIMARY KEY (contact_title)
) TYPE=MyISAM;";


$inf_newtable[2] = DB_MC_FIELDS." (
page_id INT(10) NOT NULL,
cf_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
cf_order SMALLINT(5) NOT NULL,
cf_access SMALLINT(5) NOT NULL,
cf_name VARCHAR(200) NOT NULL,
cf_must TINYINT(1) NOT NULL,
cf_type SMALLINT(2) NOT NULL,
cf_options TEXT NOT NULL,
cf_default TEXT NOT NULL,
cf_readonly TINYINT(1) NOT NULL,
cf_typecheck SMALLINT(2) NOT NULL,
cf_linkfield VARCHAR(50) NULL,
PRIMARY KEY (cf_id)
) TYPE=MyISAM;";


$inf_newtable[3] = DB_MC_PAGES." (
page_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
page_name VARCHAR(200) NOT NULL,
PRIMARY KEY (page_id)
) TYPE=MyISAM;";



$inf_insertdbrow[1] = DB_MC_SETTINGS." (page_id, contact_access, contact_title, contact_message, contact_captcha_type, contact_bad_words_enabled, contact_bad_words, contact_email, contact_email_name, contact_email_title, contact_show_username, contact_show_ip) VALUES ('1','0', '".$locale['mcf_103']."', '".$locale['mcf_104']."', '0', '0', '".$locale['mcf_188']."', '".$settings['siteemail']."', '".$settings['siteusername']."', '".$locale['mcf_105']."', '0', '0')";
$inf_insertdbrow[2] = DB_MC_FIELDS." (page_id, cf_id, cf_order, cf_access, cf_name, cf_must, cf_type, cf_options, cf_default, cf_readonly, cf_typecheck) VALUES('1', '1', '1', '0', '".$locale['mcf_106']."', '1', '1', '', '', '0', '0')";
$inf_insertdbrow[3] = DB_MC_FIELDS." (page_id, cf_id, cf_order, cf_access, cf_name, cf_must, cf_type, cf_options, cf_default, cf_readonly, cf_typecheck) VALUES('1','2', '2', '0', '".$locale['mcf_107']."', '1', '1', '', '', '0', '1')";
$inf_insertdbrow[4] = DB_MC_FIELDS." (page_id, cf_id, cf_order, cf_access, cf_name, cf_must, cf_type, cf_options, cf_default, cf_readonly, cf_typecheck) VALUES('1','3', '3', '0', '".$locale['mcf_108']."', '1', '1', '', '', '0', '0')";
$inf_insertdbrow[5] = DB_MC_FIELDS." (page_id, cf_id, cf_order, cf_access, cf_name, cf_must, cf_type, cf_options, cf_default, cf_readonly, cf_typecheck) VALUES('1','4', '4', '0', '".$locale['mcf_109']."', '1', '2', '', '', '0', '0')";
$inf_insertdbrow[6] = DB_MC_PAGES." (page_id, page_name) VALUES('1','".$locale['mcf_100']."')";

$inf_droptable[1] = DB_MC_SETTINGS;
$inf_droptable[2] = DB_MC_FIELDS;
$inf_droptable[3] = DB_MC_PAGES;

$inf_adminpanel[1] = array(
	"title" => $locale['mcf_100'],
	"image" => "../../infusions/multi_contact/images/mc.jpg",
	"panel" => "admin.php",
	"rights" => "MC"
);

$inf_sitelink[1] = array(
	"title" => $locale['mcf_103'],
	"url" => "contact.php?page_id=1",
	"visibility" => "0"
);

?>
