<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2007 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Multi Contact for PHP-Fusion 7
+----------------------------------------------------+
| Multi_Contact Infusion 2.00
| Author: Douwe Yntema
| Download:
| http://www.douwe.schoonheidssalonanneke.nl
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."multi_contact/infusion_db.php";

if (file_exists(INFUSIONS."multi_contact/locale/".$settings['locale'].".php")) {

	include INFUSIONS."multi_contact/locale/".$settings['locale'].".php";

} else {

	include INFUSIONS."multi_contact/locale/English.php";

}
require_once INFUSIONS."multi_contact/includes/functions.php";

if (!isset($_GET['page_id']) || !isnum($_GET['page_id'])) { redirect(BASEDIR."index.php"); }
$page_id = stripinput(trim($_GET['page_id']));

add_to_title(" - Contact");

$csettings = dbarray(dbquery("SELECT * FROM ".DB_MC_SETTINGS." WHERE page_id='".$page_id."'"));

if (checkgroup($csettings['contact_access'])) {
	if (isset($_POST['stoerberjocht'])) {
	$dbFields = "";
	$dbValues = "";
	$error = "";
	$_CAPTCHA_IS_VALID = false;
	include INCLUDES."captchas/".trim($csettings['contact_captcha_type'])."/captcha_check.php";
	if ($_CAPTCHA_IS_VALID == false) {

		$error .= " <span class='alt'>".$locale['mcf_183']."</span><br />\n";
	}	
		$result = dbquery("SELECT * FROM ".DB_MC_FIELDS." WHERE cf_must=1 AND cf_readonly=0 AND page_id='".$page_id."' ORDER BY cf_order");
		while($data = dbarray($result)) {
			if (checkgroup($data['cf_access'])) {
				$id = $data['cf_id'];
				if ($data['cf_type'] == 1 && $_POST["cf_text_".$id] == "") {
					$error .= "<li>".$data['cf_name']."</li>\n";
				} elseif (($data['cf_type'] == 6) && (($_POST["cf_select_".$id."y"] == "") ||
				($_POST["cf_select_".$id."d"] == "") ||
				($_POST["cf_select_".$id."m"] == "")))	{
					$error .= "<li>".$data['cf_name']."</li>\n";					
				} elseif ($data['cf_type'] == 2 && $_POST["cf_textarea_".$id] == "") {
					$error .= "<li>".$data['cf_name']."</li>\n";
				} elseif ($data['cf_type'] == 4 && !$_POST["cf_radio_".$id]) {
					$error .= "<li>".$data['cf_name']."</li>\n";
				} elseif ($data['cf_type'] == 5) {
					$ok = 0;				
					$cf_options_list = explode("\r\n", $data['cf_options']);
					for ($i=0;$i < count($cf_options_list);$i++) {
						$k = $i+1;
						if ($_POST["cf_checkbox_".$id."_".$k]) $ok = 1;
					}
					if ($ok == 0) {
						$error .= "<li>".$data['cf_name']."</li>\n";
					}
				}
			}
		}
		if ($error != "") $error = $locale['mcf_178']."<ul type='disc'>\n".$error."\n</ul>\n<br />\n";
		$error1 = "";
		$error2 = "";
		$error3 = "";	
		$error4= "";	
		$result = dbquery("SELECT * FROM ".DB_MC_FIELDS." WHERE cf_type=1 AND cf_typecheck!=0 AND page_id='".$page_id."' ORDER BY cf_order");
		while($data = dbarray($result)) {
			if (checkgroup($data['cf_access'])) {
				$id = $data['cf_id'];
				if ($data['cf_typecheck'] == "1") {
					if (!preg_match("/^[-0-9A-Z_\.]{1,50}@([-0-9A-Z_\.]+\.){1,50}([0-9A-Z]){2,4}$/i", $_POST["cf_text_".$id])) {
						$error1 .= "<li>".$data['cf_name']."</li>\n";
					}
				$entered_mail = $_POST["cf_text_".$id];
				if ($csettings['contact_action'] == 1) {
					$user_email = mcsetEmail(stripinput(trim($_POST["cf_text_".$id])));
					if (!isset ($user_email)) {
						$error4 .= "<li>".$data['cf_name']."</li>\n";
					} else {
						// Nothing
					}
				}
				} elseif ($data['cf_typecheck'] == "2") {
					if (!isNum($_POST["cf_text_".$id])) {
						$error2 .= "<li>".$data['cf_name']."</li>\n";
					}
				} elseif (($data['cf_typecheck'] == "3") and ($csettings['contact_action'] == 1)) {
					$user_name = mcsettUserName(stripinput(trim(preg_replace("/[^a-zA-Z0-9.]/", "", $_POST["cf_text_".$id]))));
					if (!isset ($user_name)) {
						$error3 .= "<li>".$data['cf_name']."</li>\n";
					} else {
						// Nothing
					}
						
				}				
				
			}
		}
		if ($error1 != "") {
			$error .= $locale['mcf_149am']."<ul type='disc'>\n".$error1."\n</ul>\n<br />\n";
		} elseif ($error2 != "") {
			$error .= $locale['mcf_149bm']."<ul type='disc'>\n".$error2."\n</ul>\n<br />\n";
		} elseif ($error3 != "") {
			$error .= $locale['mcf_149cm']."<ul type='disc'>\n".$error3."\n</ul>\n<br />\n";
		} elseif ($error4 != "") {
			$error .= $locale['mcf_149cn']."<ul type='disc'>\n".$error4."\n</ul>\n<br />\n";
		}
		if ($error == "") {
			opentable($csettings['contact_title']);
			$message = "";
			$result = dbquery("SELECT * FROM ".DB_MC_FIELDS." WHERE page_id='".$page_id."' ORDER BY cf_order");
			while($data = dbarray($result)) {
				if (checkgroup($data['cf_access'])) {
					$id = $data['cf_id'];
					$message .= $data['cf_name'].": ";
					if ($data['cf_type'] == 1) {
						if ($data['cf_readonly'] == "1") {
							$rawmessage = $data['cf_default'];
						} else {
							$rawmessage = stripinput(trim($_POST["cf_text_".$id]));
						}
						$message .= $rawmessage."\n\n";
					} elseif ($data['cf_type'] == 2) {
						if ($data['cf_readonly'] == "1") {
							$rawmessage = $data['cf_default'];
						} else {
							$rawmessage = descript(stripslash(trim($_POST["cf_textarea_".$id])));
						}
						$message .= "\n".$rawmessage."\n\n";
					} elseif ($data['cf_type'] == 6) {
							$user_year= 0;
							$user_month = 0;
							$user_day = 0;
							if ($data['cf_readonly'] == "1") {
								$defaultx = explode("-", $data['cf_default']);
								$defaulty = number_format($defaultx['2'], 0, ".", "");
								$defaultm = number_format($defaultx['1'], 0, ".", "");
								$defaultd = number_format($defaultx['0'], 0, ".", "");
								$rawmessage = $defaulty."-".$defaultm."-".$defaultd;	
							} else {
								// Get input data
								$user_month = 0; $user_day = 0; $user_year = 0;
								if (isset($_POST["cf_select_".$id."y"]) && isnum($_POST["cf_select_".$id."y"]) && $_POST["cf_select_".$id."y"] != 0) {
									$user_year = $_POST["cf_select_".$id."y"];
								}
								if (isset($_POST["cf_select_".$id."m"]) && isnum($_POST["cf_select_".$id."m"]) && $_POST["cf_select_".$id."m"] != 0) {
									$user_month = $_POST["cf_select_".$id."m"];
								}
								if (isset($_POST["cf_select_".$id."d"])&& isnum($_POST["cf_select_".$id."d"]) && $_POST["cf_select_".$id."d"] != 0 ) {
									$user_day = $_POST["cf_select_".$id."d"];
								}
	
								if ($user_month != 0 && $user_day != 0 && $user_year != 0){
									$rawmessage = ($user_year."-".$user_month."-".$user_day);		
									$rawmessage2 = ($user_day."-".$user_month."-".$user_year);								
								}
							}
							$message .= $rawmessage2."\n\n";
					 } else {
						$cf_options_list = explode("\r\n", $data['cf_options']);
						if ($data['cf_type'] == 3) {
							if ($data['cf_readonly'] == "1") {
								$i = $data['cf_default'];
								$k = $i-1;
								$rawmessage = $cf_options_list[$k];
							} else {
								$i = (isnum($_POST["cf_select_".$id]) ? $_POST["cf_select_".$id] : "");
								$k = $i-1;
								$rawmessage = $cf_options_list[$k];	
							}
							$message .= $rawmessage."\n\n";
						} elseif ($data['cf_type'] == 4) {
							if ($data['cf_readonly'] == "1") {
								$i = $data['cf_default'];
								$k = $i-1;
								$rawmessage = $cf_options_list[$k];
							} else {
								$i = (isnum($_POST["cf_radio_".$id]) ? $_POST["cf_radio_".$id] : "");
								$k = $i-1;
								$rawmessage = $cf_options_list[$k];
							}
							$message .= $rawmessage."\n\n";
						} elseif ($data['cf_type'] == 5) {
							if ($data['cf_readonly'] == "1") {
								for ($i=0;$i < count($cf_options_list);$i++) {
									$k = $i+1;
									if (in_array($k, explode(".", $data['cf_default']))) $rawmessage = " - ".$cf_options_list[$i];
								}
							} else {
								for ($i=0;$i < count($cf_options_list);$i++) {
									$k = $i+1;
									if ($_POST["cf_checkbox_".$id."_".$k] == "1") $rawmessage = " - ".$cf_options_list[$i];
								}
							}
							$message .= "\n";
							$message .= "\n". $rawmessage. "\n";
						}
					}
					if ($csettings['contact_action'] == 1  && strlen(trim($data['cf_linkfield'])) > 0 ) {
						mcsetCustomUserFieldsData(trim($data['cf_linkfield']),$rawmessage,$dbFields,$dbValues);
					}			
				}
			}
			
			if ($csettings['contact_bad_words_enabled'] == "1" && $csettings['contact_bad_words'] != "") {
				$word_list = explode("\r\n", $csettings['contact_bad_words']);
				for ($i=0;$i < count($word_list);$i++) {
					if ($word_list[$i] != "") {
						if (preg_match('/'.addcslashes($word_list[$i],'/').'/',$message)) {
							$error = "<li>".$word_list[$i]."</li>\n";
						}
					}
				}
			}
			if ($error != "") {
				echo "<center>".$locale['mcf_186']."</center><br /><br />".$locale['mcf_187']."<ul type='disc'>\n".$error."</ul>\n";
			} else {
				
				// Add some fixed text to the beginning of the message
				$message2 = $locale['mcf_185h']."\n\n".$message;
				
				if ($csettings['contact_action'] == 1) {
					$pass = getNewPassword(8);
					$salt = getNewRandomSalt(12);
					$passhash = hashPassword($pass, 'sha256', $salt); 
					mcsetRequiredFields($user_name, $salt,$passhash,$entered_mail,$dbFields, $dbValues);
					mcsetEmptyFields($dbFields, $dbValues);
					$result = dbquery("INSERT INTO ".DB_USERS." (".$dbFields.") VALUES(".$dbValues.")");

					$infomessage = str_replace("[USERNAME_LINK]",$user_name, $locale['mcf_185i']);
					$infomessage = str_replace("[PASSWORD_LINK]",$pass,$infomessage);	
					$infomessage = str_replace("[ACCESS_LINK]",$settings['siteurl'],$infomessage);
					$message = "\n\n".$infomessage."\n\n".$message;

					$infomessage = str_replace("[USERNAME_LINK]",$user_name, $locale['mcf_185j']);
					$infomessage = str_replace("[PASSWORD_LINK]",$pass,$infomessage);	
					$message2 = "\n\n".$infomessage."\n\n".$message2;
	
				}
				if ($csettings['contact_show_ip'] == 1) $message = $locale['mcf_184'].": ".USER_IP."\n\n".$message;
				if ($csettings['contact_show_username'] == 1) $message = $locale['mcf_185'].": ".(iMEMBER ? $userdata['user_name'] : $locale['mcf_185g'])."\n\n".$message;

				require_once INCLUDES."sendmail_include.php";
				sendemail($csettings['contact_email_name'],$csettings['contact_email'],$settings['siteusername'],$settings['siteemail'],$csettings['contact_email_title'],$message2);
				// test if second e-mail adres filled in
				if (strlen(trim($csettings['contact_email2'])) > 0) {
					sendemail($csettings['contact_email2_name'],$csettings['contact_email2'],$settings['siteusername'],$settings['siteemail'],$csettings['contact_email_title'],$message2);
				}
				// send mail to user
				if (isset ($entered_mail)) {
					sendemail($csettings['contact_email_name'],$entered_mail,$settings['siteusername'],$settings['siteemail'],$csettings['contact_email_title'],$message);
				}
				echo "<center>\n<br />\n".$locale['mcf_179']."\n</center>\n<br />\n";
			}
			closetable();
		} else {
			opentable($locale['mcf_176']);
			echo $error;
			closetable();
		}
	} else {
		$result = dbquery("SELECT * FROM ".DB_MC_FIELDS." WHERE page_id='".$page_id."' ORDER BY cf_order");
		if (dbrows($result) != 0) {
			opentable($csettings['contact_title']);
			echo stripslashes($csettings['contact_message'])."<br />\n";
			echo "<form name='contactform' method='post' action='".FUSION_SELF."?page_id=".$page_id."'>\n";
			echo "<table align='center' cellpadding='0' cellspacing='0'>\n";
			while($data = dbarray($result)) {
				if (checkgroup($data['cf_access'])) {
					echo "<tr>\n<td class='tbl' valign='top'>".$data['cf_name'].":";
					if ($data['cf_must'] == "1") echo " <span style='color:#ff0000'>*</span> ";
					echo "</td>\n<td class='tbl'>";
					$readonly = "";
					$default = "";
					if ($data['cf_type'] == "1") {
						if ($data['cf_readonly'] == "1") $readonly = " readonly";
						if ($data['cf_default'] != "") $default = " value='".$data['cf_default']."'";
						echo "<input type='text' name='cf_text_".$data['cf_id']."'$default class='textbox' style='width:200px'$readonly>";
					} elseif ($data['cf_type'] == "2") {
						if ($data['cf_readonly'] == "1") $readonly = " readonly";
						echo "\n<textarea name='cf_textarea_".$data['cf_id']."' rows='5' cols='50' class='textbox'$readonly>".stripslashes($data['cf_default'])."</textarea>\n";
					} else {
						$cf_options_list = explode("\r\n", $data['cf_options']);
						if ($data['cf_type'] == "3") {
							if ($data['cf_readonly'] == "1") $readonly = " disabled";
							echo "<select name='cf_select_".$data['cf_id']."' class='textbox'$readonly>\n";
							for ($i=0;$i < count($cf_options_list);$i++) {
								$k = $i+1;
								$default = "";
								if ($data['cf_default'] == $k) $default = " selected";
								echo "<option value='$k'$default>".$cf_options_list[$i]."</option>\n";
							}
							echo "</select>\n";
						} elseif ($data['cf_type'] == "4") {
							if ($data['cf_readonly'] == "1") $readonly = " disabled";
							for ($i=0;$i < count($cf_options_list);$i++) {
								$k = $i+1;
								$default = "";
								if ($data['cf_default'] == $k) $default = " checked";
								echo "<input type='radio' name='cf_radio_".$data['cf_id']."' value='$k'$default$readonly> ".$cf_options_list[$i]."<br />\n";
							}
						} elseif ($data['cf_type'] == "5") {
							if ($data['cf_readonly'] == "1") $readonly = " disabled";
							for ($i=0;$i < count($cf_options_list);$i++) {
								$default = "";
								$k = $i+1;
								if (in_array($k, explode(".", $data['cf_default']))) $default = " checked";
								echo "<input type='checkbox' name='cf_checkbox_".$data['cf_id']."_$k' value='1'$default$readonly> ".$cf_options_list[$i]."<br />\n";
							}
						} elseif ($data['cf_type'] == "6") {
							if ($data['cf_readonly'] == "1") $readonly = " disabled";
							if ($data['cf_default'] != "") {
								$defaultx = explode("-", $data['cf_default']);
								$defaulty = number_format($defaultx['2'], 0, ".", "");
								$defaultm = number_format($defaultx['1'], 0, ".", "");
								$defaultd = number_format($defaultx['0'], 0, ".", "");
							} else {
								$defaulty = 0;
								$defaultm = 0;
								$defaultd = 0;
							}
							echo "<select id='cf_select_".$data['cf_id']."d' name='cf_select_".$data['cf_id']."d' class='textbox'$readonly>\n<option value=''>&nbsp;</option>\n";
							for ($bi = 1; $bi <= 31; $bi++) { echo "<option value='".$bi."'".($defaultd == $bi ? " selected='selected'" : "").">".$bi."</option>\n"; }
							echo "</select>\n<select id='cf_select_".$data['cf_id']."m' name='cf_select_".$data['cf_id']."m' class='textbox'$readonly>\n<option value=''>&nbsp;</option>\n";
							for ($bi = 1; $bi <= 12; $bi++) { echo "<option value='".$bi."'".($defaultm == $bi ? " selected='selected'" : "").">".$bi."</option>\n"; }
							echo "</select>\n<select id='cf_select_".$data['cf_id']."y' name='cf_select_".$data['cf_id']."y' class='textbox'$readonly>\n<option value=''>&nbsp;</option>\n";
							for ($bi = (date("Y")+1); $bi > (date("Y") - 99); $bi--) { echo "<option value='".$bi."'".($defaulty == $bi ? " selected='selected'" : "").">".$bi."</option>\n"; }
							echo "</select><br>\n";
						}
					}
					echo "</td>\n</tr>\n";
				}
			}
			if (strlen(trim($csettings['contact_captcha_type'])) > 0){
				echo "<tr>\n<td class='tbl'>".$locale['mcf_181'].":</td>\n<td class='tbl'>";
				include INCLUDES."captchas/".trim($csettings['contact_captcha_type'])."/captcha_display.php";
				if (!isset($_CAPTCHA_HIDE_INPUT) || (isset($_CAPTCHA_HIDE_INPUT) && !$_CAPTCHA_HIDE_INPUT)) {
					echo "</td>\n</tr>\n<tr>";
					echo "<td class='tbl'><label for='captcha_code'>".$locale['mcf_181']."</label></td>\n";
					echo "<td class='tbl'>";
					echo "<input type='text' id='captcha_code' name='captcha_code' class='textbox' autocomplete='off' style='width:100px' />";

			}
			echo "</td>\n</tr>\n<tr>\n";
			}
			echo "<tr>\n<td class='tbl' colspan='2' align='center'>\n<br />\n";
			echo "<input type='submit' name='stoerberjocht' value='".$locale['mcf_180']."' class='button'>\n";
			echo "</td>\n</tr>\n";
			echo "</table>\n</form>\n";
			closetable();
		} else {
			opentable($locale['mcf_176']);
			echo $locale['mcf_170'];
			closetable();
		}
	}
} else {
	opentable($locale['mcf_176']);
	echo $locale['mcf_177'];
	closetable();
}

require_once THEMES."templates/footer.php";
?>
